#
# spec file for package novell-nortelplugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           novell-nortelplugins
BuildRequires:  libbonoboui-devel libgcrypt-devel libglade2-devel libopenssl-devel libtool novell-ipsec-tools-devel turnpike
Summary:        Plugins for IKE using turnpike enabled IPSec-tools
Version:        0.1.4
Release:        2.2
License:        GPL-2.0+
Group:          Productivity/Networking/Security
Source:         %{name}-%{version}.tar.bz2
Patch0:         novell-nortelplugins-no-static.patch
Patch1:         %{name}-mtu-advmss.patch
Url:            http://forge.novell.com/modules/xfmod/project/?turnpike
Requires:       novell-ipsec-tools >= 0.7
Requires:       turnpike
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildArchitectures: 	noarch
#ExclusiveArch: 	%ix86
%define plugindir %prefix/lib/turnpike/plugins

%description
These are plugin packages to be used by turnpike enabled IKE through
ipsec-tools



Authors:
--------
    Bin Li
    Sureshkumar T
    A Aravindhan

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -i -f
%define plugindir %{_prefix}/lib/turnpike/plugins
export CFLAGS="$RPM_OPT_FLAGS"
%configure \
    --with-plugindir=%{plugindir}
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{plugindir}/*.la
rm %{buildroot}%{plugindir}/*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{plugindir}
%{plugindir}/ipalias
%{plugindir}/dnsupdate
%{plugindir}/libnortel.so*
%{plugindir}/libclinortel.so*
%{plugindir}/libguinortel.so*

%changelog
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Oct 25 2011 bili@suse.com
- Fix the MTU and ADVMSS value in kernel >= 3.0.(bnc#717219)
* Mon Jun 20 2011 aj@suse.de
- Properly use RPM_OPT_FLAGS.
* Tue Apr 20 2010 meissner@suse.de
- link against shared libcrypto
* Mon Mar  8 2010 ro@suse.de
- add libopenssl-devel to buildrequires
* Tue Aug 11 2009 bili@novell.com
- Fix build error for missing plugindir.
* Mon Aug 10 2009 ro@suse.de
- re-add the now missing plugindir
* Mon Aug 10 2009 bili@novell.com
- Delete the Nosource macro and use standard macros in spec(bnc#503459).
* Wed Jun  3 2009 bili@suse.de
- Change the COPYING to GPL v2.
- Fixing the build error for missing dnsupdate.
* Wed May 27 2009 bili@suse.de
- Add copyright information for GPL v2(bnc#505557).
* Thu May 14 2009 bili@suse.de
- Make it available for public(bnc#503459).
* Tue Mar 24 2009 bili@suse.de
- Fix the spec source check which cause i586 build failure.
* Tue Mar 10 2009 bili@suse.de
- Add the ppc, ppc64, s390, s390x, ia64 rpms.
* Tue Mar  3 2009 bili@suse.de
- Add the i586 and x86_64 rpms(bnc#478726).
* Thu Feb 26 2009 bili@suse.de
- Move the novell-nortelplugins to novell-nortelplugins-internal
  for not opening source code, just provide binary(bnc#478726).
* Wed Feb  4 2009 bili@suse.de
- Upgrade to 0.1.4.
  + Support the "no split tunnel" feature.
  + Fix the log level define which follow ipsec-tools.
* Mon Nov 24 2008 bili@suse.de
- Fix the autobuild error for missing header files.
* Sat Nov 22 2008 bili@suse.de
- Support the novell-ipsec-tools 0.7.1.
* Fri Nov  7 2008 bili@suse.de
- Support the dev device for NetworkManager(bnc#441059).
* Tue Sep  9 2008 bili@suse.de
- dismising the build error size_t type output.
* Wed Sep  3 2008 bili@suse.de
- Fix set ip and netmask failed when routelist is null(bnc#415531).
- Fix the get username bug in ppc(bnc#401350).
* Fri May  9 2008 bili@suse.de
- fix the scanf sleep when connecting vpn server(bnc#381769).
* Thu Apr 17 2008 bili@suse.de
- fix the method for getting mtu(bnc#379495) and
  adding check for reset default route(bnc#379494).
* Wed Feb 13 2008 bili@suse.de
- fix ia64, x86_64 and s390's warning for printf size_t.
* Tue Feb  5 2008 bili@suse.de
- update to 0.1.3.
* Fri Nov 17 2006 tsureshkumar@suse.de
- fix a memory leak in handling isakmp attributes
- fix NAT detection
- implement client keep alives
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Mon Aug 28 2006 tsureshkumar@suse.de
- fix memory leak in copying domain name.
* Fri Aug 11 2006 tsureshkumar@suse.de
- fix for getting domain name
- fix for detecting & sending NAT keep alive.
* Sat May 20 2006 tsureshkumar@suse.de
- support for full tunelling.
* Fri May  5 2006 tsureshkumar@suse.de
- 64 bit blocker fix (#162805, #155614, #157875)  for vpnlogin
* Thu May  4 2006 tsureshkumar@suse.de
- 64 bit fixes:  #162616, #157875
- clean sizes/ILP/binary-data-transfer to make 64 bit clean.
* Tue Apr 25 2006 tsureshkumar@novell.com
-  increment version to 0.1.2
- added aes support (128 bits).
* Wed Mar 29 2006 rvinay@suse.de
- bumped the version to 0.1.1 (cert support)
- Added Certificate support for Nortel gateways.
* Wed Mar  8 2006 rvinay@suse.de
- Fixed vpnlogin password re-encryption bug
* Mon Mar  6 2006 rvinay@suse.de
- Removed the sainfo anonymous from nortel/cli/racoon.c and nortel/gui/racoon/c
* Mon Mar  6 2006 rvinay@suse.de
- Fixed errors in the spec file
* Sat Mar  4 2006 aj@suse.de
- Fix spec file.
* Thu Mar  2 2006 rvinay@suse.de
- Package resubmitted.
* Tue Feb 28 2006 rvinay@suse.de
- Multiple proposal related changes
- Split tunnel changes
* Sat Feb 11 2006 rvinay@suse.de
- Since another option 's' is added to nvpn, some related changes for pfsgroup
* Wed Feb  1 2006 spreggna@suse.de
- netmask is set and passed to NetworkManager-novellvpn helper script
* Fri Jan 27 2006 tsureshkumar@suse.de
- Fixed network order while calculating netmask.
- remove -Wno-error , pointer & int sizes to be fixed for 64 bit
* Fri Jan 27 2006 spreggna@novell.com
- Corrected the phase2 multiple proposal bug for nortel plugin
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 spreggna@novell.com
-ipalias script fixed for erroneous sourcing
* Tue Jan 17 2006 tsureshkumar@novell.com
-keep away from libreadline. comments from haripriya
* Mon Jan 16 2006 tsureshkumar@novell.com
- add -fPIC to libcommonhelper.a. This will fail if not given on
  64 bit systems.
* Mon Jan 16 2006 tsureshkumar@novell.com
- removed /var/turnpike directory
- write ifcfg file in /var/tmp
* Wed Jan 11 2006 tsureshkumar@novell.com
- static linking libcrypto.
- disabled SRPM by nosource
* Fri Dec 23 2005 tsureshkumar@novell.com
- created tarball, spec file.
- initial
